udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
cdrom_writeparams Struct Reference

`#include <ide-pc.h>`

Collaboration diagram for cdrom_writeparams:

## Public Member Functions
u_int pkt_size | __attribute__ ((packed))

## Public Attributes
u_char | page_code:6
u_char | _r1:1
u_char | ps:1
u_char | page_length
u_char | write_type:4
u_char | test_write:1
u_char | _r2:3
u_char | trk_mode:4
u_char | copy:1
u_char | fp:1
u_char | multi_session:2
u_char | data_blk_type:4
u_char | _r4:4
u_char | _r5
u_char | _r6
u_char | host_appl_code:6
u_char | _r7:2
u_char | session_format
u_char | _r9
u_short | audio_pause
u_char | mcn [16]
u_char | isrc [16]
u_char | subhdr0
u_char | subhdr1
u_char | subhdr2
u_char | subhdr3

## Detailed Description

Definition at line 179 of file ide-pc.h.

## Member Function Documentation

u_int pkt_size cdrom_writeparams::__attribute__ | ( | (packed) |  | ) |

## Member Data Documentation

u_char cdrom_writeparams::_r1

Definition at line 181 of file ide-pc.h.

u_char cdrom_writeparams::_r2

Definition at line 187 of file ide-pc.h.

u_char cdrom_writeparams::_r4

Definition at line 214 of file ide-pc.h.

u_char cdrom_writeparams::_r5

Definition at line 216 of file ide-pc.h.

u_char cdrom_writeparams::_r6

Definition at line 217 of file ide-pc.h.

u_char cdrom_writeparams::_r7

Definition at line 219 of file ide-pc.h.

u_char cdrom_writeparams::_r9

Definition at line 221 of file ide-pc.h.

u_short cdrom_writeparams::audio_pause

Definition at line 223 of file ide-pc.h.

u_char cdrom_writeparams::copy

Definition at line 190 of file ide-pc.h.

u_char cdrom_writeparams::data_blk_type

Definition at line 197 of file ide-pc.h.

u_char cdrom_writeparams::fp

Definition at line 191 of file ide-pc.h.

u_char cdrom_writeparams::host_appl_code

Definition at line 218 of file ide-pc.h.

u_char cdrom_writeparams::isrc[16]

Definition at line 225 of file ide-pc.h.

u_char cdrom_writeparams::mcn[16]

Definition at line 224 of file ide-pc.h.

u_char cdrom_writeparams::multi_session

Definition at line 192 of file ide-pc.h.

u_char cdrom_writeparams::page_code

Definition at line 180 of file ide-pc.h.

u_char cdrom_writeparams::page_length

Definition at line 183 of file ide-pc.h.

u_char cdrom_writeparams::ps

Definition at line 182 of file ide-pc.h.

u_char cdrom_writeparams::session_format

Definition at line 220 of file ide-pc.h.

u_char cdrom_writeparams::subhdr0

Definition at line 226 of file ide-pc.h.

u_char cdrom_writeparams::subhdr1

Definition at line 227 of file ide-pc.h.

u_char cdrom_writeparams::subhdr2

Definition at line 228 of file ide-pc.h.

u_char cdrom_writeparams::subhdr3

Definition at line 229 of file ide-pc.h.

u_char cdrom_writeparams::test_write

Definition at line 186 of file ide-pc.h.

u_char cdrom_writeparams::trk_mode

Definition at line 189 of file ide-pc.h.

u_char cdrom_writeparams::write_type

Definition at line 185 of file ide-pc.h.

The documentation for this struct was generated from the following file:

- wrudf/ide-pc.h